%global commitid 08767aa863cd27d1755ba0aff65b8cc1a0c1446a
%global gitversion 08767a
# gitdate 20131022

Summary:        URL extractor/launcher
Name:           urlview
Version:        0.9
Release:        6%{?dist}
License:        GPLv2+
URL:            https://github.com/sigpipe/urlview
Source0:        https://github.com/sigpipe/urlview/archive/%{gitversion}/urlview-%{gitversion}.tar.gz

BuildRequires:  make gcc
BuildRequires:  ncurses-devel

Patch3000:      urlview-default.patch

%description
urlview is a screen oriented program for extracting URLs from text
files and displaying a menu from which you may launch a command to
view a specific item.

%prep
%autosetup -n %{name}-%{commitid} -p1

%build
%configure
%make_build

%install
mkdir -p %{buildroot}{%{_sysconfdir},%{_bindir},%{_mandir}/man{1,5}}
install -p -m644 urlview.conf.suse %{buildroot}%{_sysconfdir}/urlview.conf
install -p urlview url_handler.sh %{buildroot}%{_bindir}
install -p -m644 urlview.man %{buildroot}%{_mandir}/man1/urlview.1
echo '.so man1/urlview.1' > %{buildroot}%{_mandir}/man5/urlview.conf.5
echo '.so man1/urlview.1' > %{buildroot}%{_mandir}/man1/url_handler.sh.1

%files
%license COPYING
%doc AUTHORS ChangeLog README sample.urlview
%config(noreplace) %{_sysconfdir}/urlview.conf
%{_bindir}/urlview
%{_bindir}/url_handler.sh
%{_mandir}/man1/urlview.1*
%{_mandir}/man1/url_handler.sh.1*
%{_mandir}/man5/urlview.conf.5*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 Miaojun Dong <zoedong@tencent.com> - 0.9-1
- initial build
